Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface DOMStringList

    public interface DOMStringList

The `DOMStringList` interface provides the abstraction of an ordered collection of `DOMString` values, without defining or constraining how this collection is implemented. The items in the `DOMStringList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Method Summary
`boolean` | `contains(String str)` Test if a string is part of this `DOMStringList`.
`int` | `getLength()` The number of `DOMString`s in the list.
`String` | `item(int index)` Returns the `index`th item in the collection.

Method Detail

### item

    String item(int index)

  Returns the `index`th item in the collection. If `index` is greater than or equal to the number of `DOMString`s in the list, this returns `null`.

  Parameters:
    `index` - Index into the collection.
  Returns:
    The `DOMString` at the `index`th position in the `DOMStringList`, or `null` if that is not a valid index.

### getLength

    int getLength()

  The number of `DOMString`s in the list. The range of valid child node indices is 0 to `length-1` inclusive.

### contains

    boolean contains(String str)

  Test if a string is part of this `DOMStringList`.

  Parameters:
    `str` - The string to look for.
  Returns:
    `true` if the string has been found, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.